# Created by pyp2rpm-3.3.2
%global pypi_name qdarkstyle
%global mod_name QDarkStyle

Name:           python-%{pypi_name}
Version:        2.8.1
Release:        %mkrel 1
Summary:        A dark stylesheet for Python and Qt applications
Group:          Development/Python
License:        MIT
URL:            https://github.com/ColinDuquesnoy/QDarkStyleSheet
Source0:        https://files.pythonhosted.org/packages/source/q/%{pypi_name}/QDarkStyle-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pyside2
BuildRequires:  python3dist(helpdev) >= 0.6.2
BuildRequires:  python3dist(m2r)
BuildRequires:  python3dist(pyqt5)
BuildRequires:  python3dist(qtpy) >= 1.7
BuildRequires:  python3dist(qtsass)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(watchdog)

# required for tests
BuildRequires:  python3-qt4-devel
BuildRequires:  python3dist(pyqtgraph)
BuildRequires:  python3dist(tox)

%description
A dark stylesheet for Qt applications (Qt4, Qt5, PySide, PySide2, PyQt4, 
PyQt5, QtPy, PyQtGraph).

%package -n     python3-%{pypi_name}
Summary:        A dark stylesheet for Python and Qt applications
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-pyside2
Requires:       python3dist(m2r)
Requires:       python3dist(pyqt5)
Requires:       python3dist(qtsass)
Requires:       python3dist(sphinx)
Requires:       python3dist(sphinx-rtd-theme)
Requires:       python3dist(watchdog)
Requires:       python3dist(tox)

%description -n python3-%{pypi_name}
A dark stylesheet for Qt applications (Qt4, Qt5, PySide, PySide2, PyQt4, 
PyQt5, QtPy, PyQtGraph).


%prep
%autosetup -n QDarkStyle-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst CONTRIBUTING.rst
%{_bindir}/qdarkstyle
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{mod_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jan 06 2021 daviddavid <daviddavid> 2.8.1-1.mga8
+ Revision: 1669321
- new version: 2.8.1
+ joequant <joequant>
- fix python3 dep
- imported package python-qdarkstyle

